// Copyright 2015, University of Freiburg,
// Chair of Algorithms and Data Structures.
// Author: Zhiwei Zhang <zhiwei.zhang@saturn.uni-freiburg.de>

#include <iostream>
#include <string>
#include <fstream>
#include "./RealTestClass.h"

using std::string;

int main(int argc, char** argv) {
  if (argc != 3) {
    std::cout << "Usage: ./RealTestClassMain <file> <filespath>" << std::endl;
    exit(1);
  }
  string inputFile(argv[1]);
  string path(argv[2]);
  RealTestClass rc(inputFile, path);
//  rc.testWithPointerS8();
  rc.testWithPointerS8Old();
//  rc.testWithPointerS8N1();
//  rc.testWithPointerS8N2();
//  rc.testWithPointerVB();
//  rc.testWithPointerGolomb();
  return 0;
}
