// Copyright 2015, University of Freiburg,
// Chair of Algorithms and Data Structures.
// Author: Zhiwei Zhang <zhiwei.zhang@saturn.uni-freiburg.de>

#include <limits>
#include <iostream>
#include "./SimulationTestClass.h"

using std::cout;
using std::endl;

int main(int argc, char * argv[]) {
  SimulationTestClass tc(1, std::numeric_limits<int>::max(), 20001);
//  SimulationTestClass tc(0, std::numeric_limits<int>::max(), 20001);
//  cout << "GammaVector" << endl;
//  tc.testEliasGammaEncodingVector();
//  cout << "GammaPointer" << endl;
//  tc.testEliasGammaEncodingPointer();
//  cout << "DeltaaVector" << endl;
//  tc.testEliasDeltaEncodingVector();
//  cout << "DeltaPointer" << endl;
//  tc.testEliasDeltaEncodingPointer();
//  cout << "GolombVector" << endl;
//  tc.testGolombEncodingVector();
//  cout << "GolombPointer" << endl;
//  tc.testGolombEncodingPointer();
//  cout << "VBVector" << endl;
//  tc.testVariableByteEncodingVector();
//  cout << "VBPointer" << endl;
//  tc.testVariableByteEncodingPointer();
  cout << "S8" << endl;
  tc.testSimple8bCode();
  cout << "S8Vector" << endl;
  tc.testSimple8bCodeVector();
  cout << "S8N1" << endl;
  tc.testSimple8bCodeNew1();
  cout << "S8N2" << endl;
  tc.testSimple8bCodeNew2();
  cout << "S8old" << endl;
  tc.testSimple8bCodeOld();
  return 0;
}
